<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
               $(this).toggleClass("highlight");
            }
        );
    });
});

	cari_tjumlah();
	
	function cari_tjumlah(){
		var tglawal 	= $("#imp_tglaw").val();
		var tglakhir 	= $("#imp_tglak").val();
		
		$.ajax({
			type	: "POST",
			url	: "std/penjualan/cari_tjumlah.php",
			data	: "tglawal="+tglawal+
					"&tglakhir="+tglakhir,
			dataType	: "json",
			success	: function(data){
				$("#txt_tjumlah").val(data.tjumlah);
				$("#txt_timport").val(data.timport);
				$("#txt_prosen").val(data.prosen);
				$("#tampil_detail_imp").show();
				$("#tampil_detail_imp").load('std/penjualan/tampil_detail_imp.php?tglawal='+tglawal+'&tglakhir='+tglakhir);
				format_jumlah();
				format_import();
			}
		});
	}
	
	function format_jumlah(){
		var angka= $("#txt_tjumlah").val();
		var jhuruf	= angka.length;
				
		$.ajax({
			type	: "POST",
			url	: "kasir/penjualan/format_rupiah.php",
			data	: "angka="+angka+
					"&jhuruf="+jhuruf,
			dataType: "json",
			success	: function(data){				
				$("#txt_cjumlah").val(data.huruf);
			}
		});
	}
	
	function format_import(){
		var angka= $("#txt_timport").val();
		var jhuruf	= angka.length;
				
		$.ajax({
			type	: "POST",
			url	: "kasir/penjualan/format_rupiah.php",
			data	: "angka="+angka+
					"&jhuruf="+jhuruf,
			dataType: "json",
			success	: function(data){				
				$("#txt_cimport").val(data.huruf);
			}
		});
	}
		
	$("#cek_all").click(function(){		
		var tglawal 	= $("#imp_tglaw").val();
		var tglakhir 	= $("#imp_tglak").val();
		
		$.ajax({
			type	: "POST",
			url	: "std/penjualan/cek_all.php",
			data	: "tglawal="+tglawal+
				"&tglakhir="+tglakhir,
			dataType	: "json",
			success	: function(data){
				$("#txt_timport").val(data.timport);
				$("#txt_prosen").val(data.prosen);
				$("#tampil_detail_imp").show();
				$("#tampil_detail_imp").load('std/penjualan/tampil_detail_imp.php?tglawal='+tglawal+'&tglakhir='+tglakhir);
				format_import();
			}
		});
	});
	
	$("#batal_cek").click(function(){
		var pilih = confirm('Apakah Anda ingin membatalkan seluruh cek list faktur penjualan ini ?');

		if(pilih==true){
			var tglawal 	= $("#imp_tglaw").val();
			var tglakhir 	= $("#imp_tglak").val();
		
			$.ajax({
				type	: "POST",
				url		: "std/penjualan/batal_ceklist.php",
				data	: "tglawal="+tglawal+
					"&tglakhir="+tglakhir,
				dataType: "json",
				success	: function(data){
					$("#txt_timport").val(data.timport);
					$("#txt_prosen").val(data.prosen);
					$("#tampil_detail_imp").show();
					$("#tampil_detail_imp").load('std/penjualan/tampil_detail_imp.php?tglawal='+tglawal+'&tglakhir='+tglakhir);
					format_import();
				}
			});
		}
	});
	
	$("#import").click(function(){
		var pilih = confirm('Apakah Anda ingin mengimport data penjualan yang sudah terpilih ?');

		if(pilih==true){
			var tglawal 	= $("#imp_tglaw").val();
			var tglakhir 	= $("#imp_tglak").val();
		    
			$.ajax({
				type	: "POST",
				url		: "std/penjualan/import_pj.php",
				data	: "tglawal="+tglawal+
					"&tglakhir="+tglakhir,
				success	: function(data){				
					$("#info").html(data);
					$("#txt_tjumlah").val('');
					$("#txt_timport").val('');
					$("#txt_prosen").val('');
					$("#txt_cjumlah").val('');
					$("#txt_cimport").val('');
					$("#tampil_detail_imp").hide();
				}
			});
		}
	});
</script>

<?php
include '../../inc/inc.koneksi.php';
include '../../inc/fungsi_tanggal.php';

$tgl_awal = $_GET['tglawal'];
$tgl_akhir = $_GET['tglakhir'];

echo "<h1>Import Data Penjualan</h1>
<table width='100%'>
	<tr>
		<input type='text' id='txt_timport' hidden/>
		<input type='text' id='txt_tjumlah' hidden/>
		<td style='font:15px verdana'>Total Penjualan : Rp <input type='text' id='txt_cjumlah' size='12' style='font:15px verdana' align='right'></td>
		<td>Total Dipilih : Rp <input type='text' id='txt_cimport' size='12' style='font:15px verdana' align='right'></td>
		<td>Prosentase : <input type='text' id='txt_prosen' size='4' style='font:15px verdana' align='right'> %</td>
		<td><button id='cek_all'>Pilih Semua</button> <button id='batal_cek'>Batal Pilih</button> <button id='import'>Import</button></td>
	</tr>
</table>

<div id='tampil_detail_imp' align='center' style='overflow-x: auto;height: 470px;scroll-behavior: smooth'></div>";
?>